[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TStatusBar.DoAutoAdjustLayout

Performs actions needed to apply the layout policy in AMode.

## Declaration

Source position: comctrls.pp line 162

`protected procedure TStatusBar.DoAutoAdjustLayout(`
`const AMode: TLayoutAdjustmentPolicy;`
`const AXProportion: Double;`
`const AYProportion: Double`
`); override;`

## Arguments

`AXProportion` |  | Horizontal sizing factor applied to panels in the status bar.
`AYProportion` |  | Vertical sizing factor applied to panels in the status bar.

## Description

Calls BeginUpdate to reduce the number of refreshes needed when updating panels in the status bar. Adjusts the width of all items in the Panels collection using the factor in AXProportion. The value in AYProportion is ignored in the method. Calls EndUpdate prior to exit from the method.

Remark: | No actions are performed in the method when AMode contains a TLayoutAdjustmentPolicy value other than lapAutoAdjustWithoutHorizontalScrolling or lapAutoAdjustForDPI.